POST
/search/suggestGet search suggestions for pages, users, or groups
Searches pages, users, and groups for autocomplete suggestions. Supply query and set includePages, includeUsers, or includeGroups to choose which categories to include.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Autocomplete search criteria and options for selecting suggestion categories.
includeGroupsbooleanoptional
If `true`, includes matching groups in the suggestions.
includePagesbooleanoptional
If `true`, includes matching pages in the suggestions.
includeUsersbooleanoptional
If `true`, includes matching users in the suggestions.
limitintegeroptional
Maximum number of suggestions per category.
querystringrequired
Search query for autocomplete suggestions.
spaceIdstringoptional
Restrict page suggestions to a specific space.
200Returns suggestions grouped by type.
dataobjectoptional
statusintegeroptional
successbooleanoptional
401Returned when the request is unauthorized.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
query is required. A 401 is returned when the request is not authorized.